Download it now!
Bug 127499 - LibO didn't show the name of an MSO linestyle
Summary: LibO didn't show the name of an MSO linestyle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-11 14:59 UTC by andreas_k
Modified: 2020-05-26 12:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
MS word file with Lines and different styles (23.04 KB, application/vnd.oasis.opendocument.text)
2019-09-11 14:59 UTC, andreas_k
Details
Line config dialog (52.96 KB, image/png)
2019-09-11 15:02 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-09-11 14:59:47 UTC
Created attachment 154108 [details]
MS word file with Lines and different styles

if you open an file from MSO that has different line styles, the import is correct, BUT when you'd like to edit the LineStyle the MSO line style name wasn't shown.

I think the MSO linestyle is missing in LibO standard.sod file but I don't know how the linestyle should be labeld that it will be show correct.

So what's the label of the different MSO line styles and when I add them to the standard.sod file will it be shown in the line style property dialog
Comment 1 andreas_k 2019-09-11 15:02:55 UTC
Created attachment 154110 [details]
Line config dialog

label is missing cause not defined in LibO standard.sod file
Comment 2 Heiko Tietze 2019-09-11 15:07:09 UTC
We should definitely change at least the empty menu selection. Either we should something like "Other" or even better we provide an option to extend the line styles with names and call this "User defined".
Comment 3 Regina Henschel 2019-09-11 16:22:28 UTC
(In reply to Heiko Tietze from comment #2)
> We should definitely change at least the empty menu selection. Either we
> should something like "Other" or even better we provide an option to extend
> the line styles with names and call this "User defined".

There are three kind of dash-definitions: Those from the "standard.sod". They have special treating in the source. Those from an user-defined palette. You need to load the palette to get the items into the list. And third, those which are included in the document. The latter are currently not shown at all, if they are not included in the current loaded palette. So we need something like an options "show document line styles".
Comment 4 andreas_k 2019-09-11 16:35:27 UTC
Would it not be possible to add the mso styles to libo predefined list?

In the file the label is dash (var) 1, dash (var) 2, ...
Comment 5 andreas_k 2019-09-11 21:48:06 UTC
I think I can fix the bug.
Comment 6 Commit Notification 2019-09-23 20:43:02 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b2d8093b19642038631dfb8f1ab6745a380a652c

tdf#127499 added 9 new line styles all are (var) and in line with MSO

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-12-03 10:55:15 UTC
A polite ping to Andreas Kainz:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks